#!/usr/bin/python

#
#  Copyright (C) 2004 Red Hat, Inc.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# To make it easy to compare mac addresses: use lowercase hex; remove whitespace
def clean_mac_address(input):
    return input.lower().strip()

# Get the mac address on a particular interface:
def get_mac_address(interface):
    sys_file = "/sys/class/net/%s/address"%interface
    try:
        f = open(sys_file)
        result = f.read()
        return clean_mac_address(result)
    except:
        return None

# Get the mac address for the first ethernet card on this machine:
def get_eth_mac_address():
    return get_mac_address("eth0")

#print get_mac_address("eth1")
#print get_eth_mac_address()
