#!/usr/bin/python

#
#  Copyright (C) 2004 Red Hat, Inc.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import os
from shvar import shvarFile

GLADEDIR = '/usr/share/stateless'
PROTOSYSTEMSBASE = '/srv/stateless/protosystems'
SNAPSHOTSBASE = '/srv/stateless/snapshots'
PXEBASE = '/tftpboot/linux-install/pxelinux.cfg'
TFTPBASE = '/tftpboot/linux-install'
ROOTPATH = '/'

def normalize_path (path, rootpath = None):
    if rootpath == None:
        rootpath = ROOTPATH
    return os.path.normpath ('/'.join ([rootpath, path]))

class StatelessConfig (shvarFile):
    def __init__ (self, rootpath = None):
        shvarFile.__init__ (self,
                            normalize_path ('/etc/sysconfig/stateless', rootpath),
                            False)

    def get_ldap_uri (self):
        server = self["LDAP_SERVER"].lstrip()
        if server == None:
            return None
        
        return "ldap://" + server
